Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal
Class DiagramPropertiesPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.gmf.runtime.diagram.ui.properties.internal.DiagramPropertiesPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class DiagramPropertiesPlugin

extends AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`DiagramPropertiesPlugin()` The constructor.

Method Summary
`static DiagramPropertiesPlugin` `getDefault()` Returns the shared instance.
`static java.lang.String` `getPluginId()` Retrieves the unique identifier of this plug-in.
`SectionUpdateRequestCollapser` `getUpdateRequestCollapser()`
`void` `start(org.osgi.framework.BundleContext context)` Starts up this plug-in.
`void` `stop(org.osgi.framework.BundleContext context)` Shuts down this plug-in and discards all plug-in state.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagramPropertiesPlugin

    public DiagramPropertiesPlugin()

  The constructor.

Method Detail

### getDefault

    public static DiagramPropertiesPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance of `DiagramPropertiesPlugin`

### getPluginId

    public static java.lang.String getPluginId()

  Retrieves the unique identifier of this plug-in.

  Returns:
    A non-empty string which is unique within the plug-in registry.

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Starts up this plug-in.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Shuts down this plug-in and discards all plug-in state.

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getUpdateRequestCollapser

    public SectionUpdateRequestCollapser getUpdateRequestCollapser()

  Returns:
    Returns the updateRequestCollapser.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.